Open CASCADE Technology
7.3.0
|
Tool for fixing selfintersecting wire and intersecting wires. More...
#include <ShapeFix_IntersectionTool.hxx>
Public Member Functions | |
ShapeFix_IntersectionTool (const Handle< ShapeBuild_ReShape > &context, const Standard_Real preci, const Standard_Real maxtol=1.0) | |
Constructor. More... | |
Handle< ShapeBuild_ReShape > | Context () const |
Returns context. More... | |
Standard_Boolean | SplitEdge (const TopoDS_Edge &edge, const Standard_Real param, const TopoDS_Vertex &vert, const TopoDS_Face &face, TopoDS_Edge &newE1, TopoDS_Edge &newE2, const Standard_Real preci) const |
Split edge on two new edges using new vertex "vert" and "param" - parameter for splitting The "face" is necessary for pcurves and using TransferParameterProj. More... | |
Standard_Boolean | CutEdge (const TopoDS_Edge &edge, const Standard_Real pend, const Standard_Real cut, const TopoDS_Face &face, Standard_Boolean &iscutline) const |
Cut edge by parameters pend and cut. More... | |
Standard_Boolean | FixSelfIntersectWire (Handle< ShapeExtend_WireData > &sewd, const TopoDS_Face &face, Standard_Integer &NbSplit, Standard_Integer &NbCut, Standard_Integer &NbRemoved) const |
Standard_Boolean | FixIntersectingWires (TopoDS_Face &face) const |
Tool for fixing selfintersecting wire and intersecting wires.
ShapeFix_IntersectionTool::ShapeFix_IntersectionTool | ( | const Handle< ShapeBuild_ReShape > & | context, |
const Standard_Real | preci, | ||
const Standard_Real | maxtol = 1.0 |
||
) |
Constructor.
Handle< ShapeBuild_ReShape > ShapeFix_IntersectionTool::Context | ( | ) | const |
Returns context.
Standard_Boolean ShapeFix_IntersectionTool::CutEdge | ( | const TopoDS_Edge & | edge, |
const Standard_Real | pend, | ||
const Standard_Real | cut, | ||
const TopoDS_Face & | face, | ||
Standard_Boolean & | iscutline | ||
) | const |
Cut edge by parameters pend and cut.
Standard_Boolean ShapeFix_IntersectionTool::FixIntersectingWires | ( | TopoDS_Face & | face | ) | const |
Standard_Boolean ShapeFix_IntersectionTool::FixSelfIntersectWire | ( | Handle< ShapeExtend_WireData > & | sewd, |
const TopoDS_Face & | face, | ||
Standard_Integer & | NbSplit, | ||
Standard_Integer & | NbCut, | ||
Standard_Integer & | NbRemoved | ||
) | const |
Standard_Boolean ShapeFix_IntersectionTool::SplitEdge | ( | const TopoDS_Edge & | edge, |
const Standard_Real | param, | ||
const TopoDS_Vertex & | vert, | ||
const TopoDS_Face & | face, | ||
TopoDS_Edge & | newE1, | ||
TopoDS_Edge & | newE2, | ||
const Standard_Real | preci | ||
) | const |
Split edge on two new edges using new vertex "vert" and "param" - parameter for splitting The "face" is necessary for pcurves and using TransferParameterProj.